# Events API

<Aside type="note">
사용자가 트리거한 이벤트를 추적하려면 User Centric API 의 [/postEvent](/ko/developer/api-reference/user-centric-api#postevent) 메서드를 호출하세요.
</Aside>

## createEvent

`POST` `https://api.pushwoosh.com/json/1.3/createEvent`

앱에 대한 이벤트를 생성합니다.

#### Request Body

| 이름 | 유형 | 설명 |
| --- | --- | --- |
| auth\* | string | Pushwoosh Control Panel 의 [API access token](/ko/developer/api-reference/api-identifiers/#api-access-token). |
| application\* | string | [Pushwoosh application code](/ko/developer/api-reference/api-identifiers/#application-code) |
| name | string | 이벤트 이름, 최대 32자. |
| description | string | 이벤트 설명, 최대 64자. |
| eventAttributes | array | 이벤트 속성 배열. |
| trackRevenue | boolean | Track Event Revenue 섹션을 참조하세요. |

<Tabs>
<TabItem label="200">
```
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "event": 351 // 생성된 이벤트 ID
  }
}
```
</TabItem>
</Tabs>

```
{
  "request": {
    "auth":"yxoPUlwqm…………pIyEX4H",     // 필수. Pushwoosh Control Panel 의 API access token
    "application": "XXXXX-XXXXX",      // 필수. Pushwoosh application code
    "name": "BasketOpen",              // 필수. 최대 32자. 이벤트 이름. 
    "description": "Open basket page", // 선택 사항. 최대 64자. 이벤트 설명. 
    "eventAttributes": [{              // 선택 사항. 이벤트 속성 배열
      "type": 3,                       // 속성 유형. 값:
                                       // 1 - 정수 (integer);
                                       // 2 - 문자열 (string);
                                       // 3 - 목록 (list);
                                       // 4 - 날짜 (date);
                                       // 5 - 불리언 (boolean);
                                       // 6 - 가격 (price);
      "name": "products"               // 최대 64자. 속성 이름 
    }, {
      "type": 5,
      "name": "delivery"
    }],
    "trackRevenue": false
  }
}
```

**Response:**

| | | |
| --- | --- | --- |
| 200 | 200 | 이벤트가 성공적으로 생성됨 |
| 200 | 210 | 인수 오류. 자세한 내용은 status_message 를 참조하세요 |
| 200 | 403 | 권한 오류 (예: 이벤트 제한 초과 시) |
| 200 | 404 | 리소스를 찾을 수 없음 |
| 400 | N/A | 잘못된 요청 문자열 |
| 500 | 500 | 내부 오류 |